DebuggingClassWriter (cglib (Version 2.2.2))
Date: 2024-01-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.cglib.core
Class DebuggingClassWriter

    java.lang.Object
      org.objectweb.asm.ClassWriter
          net.sf.cglib.core.DebuggingClassWriter

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

    public class DebuggingClassWriter

extends org.objectweb.asm.ClassWriter

Field Summary
`static java.lang.String` | `DEBUG_LOCATION_PROPERTY`

Fields inherited from class org.objectweb.asm.ClassWriter
`COMPUTE_FRAMES, COMPUTE_MAXS`

Constructor Summary
`DebuggingClassWriter(int flags)`

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getSuperName()`
`byte[]` | `toByteArray()`
`void` | `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`

Methods inherited from class org.objectweb.asm.ClassWriter
`newClass, newConst, newField, newMethod, newNameType, newUTF8, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG_LOCATION_PROPERTY

    public static final java.lang.String DEBUG_LOCATION_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### DebuggingClassWriter

    public DebuggingClassWriter(int flags)

Method Detail

### visit

    public void visit(int version,
                      int access,
                      java.lang.String name,
                      java.lang.String signature,
                      java.lang.String superName,
                      java.lang.String[] interfaces)

  Specified by:
    `visit` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visit` in class `org.objectweb.asm.ClassWriter`

### getClassName

    public java.lang.String getClassName()

### getSuperName

    public java.lang.String getSuperName()

### toByteArray

    public byte[] toByteArray()

  Overrides:
    `toByteArray` in class `org.objectweb.asm.ClassWriter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 - Apache Software Foundation